Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.framework.util
Class LoggingInterceptor

    java.lang.Object
      org.deegree.framework.util.Interceptor
          org.deegree.framework.util.LoggingInterceptor

    public class LoggingInterceptor

extends Interceptor

Logging interceptor to log the entering and exiting of a method call.

Since:
  2.0
Version:
  2.0, $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Torsten Friebe , last edited by: $Author: mschneider $
See Also:
  Chain of Responsibility Design Pattern

Field Summary

Fields inherited from class org.deegree.framework.util.Interceptor
`LOG, nextInterceptor`

Constructor Summary
`LoggingInterceptor(Interceptor nextInterceptor)`

Method Summary
`protected Object` | `handleInvocation(Method method, Object[] params)` Do an invocation of the given method while being able to something else first.

Methods inherited from class org.deegree.framework.util.Interceptor
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoggingInterceptor

    public LoggingInterceptor(Interceptor nextInterceptor)

Parameters:
  `nextInterceptor` - pointing to the next intersection

Method Detail

### handleInvocation

    protected Object handleInvocation(Method method,
                                      Object[] params)
                               throws IllegalAccessException,
                                      InvocationTargetException

  Description copied from class: `Interceptor`
  Do an invocation of the given method while being able to something else first.

  Specified by:
    `handleInvocation` in class `Interceptor`
  Returns:
    some object
  Throws:
    `IllegalAccessException`
    `InvocationTargetException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org